/*
 * timeout.h
 */
#ifndef TIMEOUT_H_
#define TIMEOUT_H_

struct timeout {
	struct prioq_head	qh;
	struct timeval		when;
	int			msec;
	iocallback_t		callback;
	void			*opaque;
};

struct timeout *timeout_new(iocallback_t callback, void *opaque);
void timeout_free(struct timeout **tout);
void timeout_add(struct timeout *tout, int msec);
void timeout_del(struct timeout *tout);
int timeout_active(struct timeout *tout);
int timeout_next();
int timeout_run();
void timeout_init();
void timeout_deinit();

#endif
